Skip navigation

Canon G-15 files compatible with Aperture 3.4.3 ?

366 Views 2 Replies Latest reply: Feb 1, 2013 2:05 PM by léonie RSS
Mr. Seek Help Calculating status...
Currently Being Moderated
Feb 1, 2013 1:23 PM

I would like to get the Canon G-15 digital camera but I am concerned that the Raw and Jpg files will not be able to be read and processed by my

Aperture 3.4.3 photo program.

 

My Mac Air Book (11 inhces)  is OSX - 10.7.5.

 

Do I have to upgrade my Aperture program in order for this G-15's photo files to work ?  Or do I have to give up this idea about getting this new

camera (to replace my Canon 50D DSLR ?).

 

I hope to hear from someone soon. I am in Bangkok now and I want to buy this camera but I don't want any nasty surprises.

 

I looked on the Compatible List (with Canon) and I found only the G-12 and not this newer model.

 

I want to buy this camera soon for shooting over here so I look forward to hearing from any of you pros out there who could assist.

 

Many thanks.  Dpon

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.